Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.service.isocard
Class TransparentCardService

    java.lang.Object
      opencard.core.service.CardService
          opencard.opt.util.PassThruCardService
              de.cardcontact.opencard.service.isocard.TransparentCardService

All Implemented Interfaces:
  SecureService

    public class TransparentCardService

extends PassThruCardService
implements SecureService

Transparent card service with secure messaging support

Author:
  Andreas Schwier

Constructor Summary
`TransparentCardService()`

Method Summary
`void` | `provideCredentials(SecurityDomain domain, CredentialBag creds)` Provide collection of credentials for secure messaging transformation
`ResponseAPDU` | `sendCommandAPDU(CommandAPDU command, int usageQualifier)` Send command APDU and receive response APDU, possibly wrapped by secure channel The implementation will try to fetch a secure messaging credential from the bag allocated to the MF (3F00)

Methods inherited from class opencard.opt.util.PassThruCardService
`sendCommandAPDU`

Methods inherited from class opencard.core.service.CardService
`allocateCardChannel, getCard, getCardChannel, getCHVDialog, initialize, releaseCardChannel, setCardChannel, setCHVDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransparentCardService

    public TransparentCardService()

Method Detail

### provideCredentials

    public void provideCredentials(SecurityDomain domain,
                                   CredentialBag creds)
                            throws CardServiceException

  Provide collection of credentials for secure messaging transformation

  Specified by:
    `provideCredentials` in interface `SecureService`
  Parameters:
    `domain` - the security domain for which to provide credentials
    `creds` - the credentials for that domain
  Throws:
    `CardServiceException` - If the card service could not process the credentials, if the SecurityDomain is invalid.
  See Also:
    `SecureService.provideCredentials(opencard.opt.security.SecurityDomain, opencard.opt.security.CredentialBag)`

### sendCommandAPDU

    public ResponseAPDU sendCommandAPDU(CommandAPDU command,
                                        int usageQualifier)
                                 throws CardTerminalException

  Send command APDU and receive response APDU, possibly wrapped by secure channel The implementation will try to fetch a secure messaging credential from the bag allocated to the MF (3F00)

  Parameters:
    `command` - Command APDU
    `usageQualifier` - Secure messaging transformation selector, a combination of SecureChannel.CPRO, .CENC, .RPRO and .RENC.
  Returns:
    Response APDU
  Throws:
    `CardTerminalException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD